FMGDM v1.0
----------
Open source framewark for ocean trajectory modelling.

Floating Macroalgal Growth and Drift Model v1.0

-----------------------------------------------
update: 2021/03/16

===============================================

Source code include

MODS = mod_prec.f90 mod_ncd.f90 mod_var.f90 mod_inp.f90
MAIN = alloc_vars.f90 triangle_grid_edge.f90 offlag.f90 util.f90 data_run.f90 ncdio.f90

-----------------------------------------------------------------------------------------
The following files must be provided, as input files for this FMGDM model:
1. Output result file of ocean numerical model, these variables must be included (netCDF)
	u, v 			# velocity of ocean circulation
	temp			# temperature
	short_wave		# radiation
	uwind, vwind	# Wind vectors at 10 m height
	
2. Information of initial particles
	lon 			# longitude
	lat 			# latitude
	dep				# depth
	
3. Configuration of modelling
	!=========Parameters Controlling Time Integration=================

	DTI      =    	! Time step for scheme resolution. mod(INSTP/DTI) should be 0
	INSTP    =    	! INPUT time step (s).
	DTOUT    =    	! output time step in hour
	TDRIFT   =    	! Drift duration (hour)

	!=========Parameters Controlling Starting Tracking Date===========

	YEARLAG   = 	! Year of tracking start
	MONTHLAG  =     ! Month of tracking start
	DAYLAG    =   	! Day of tracking start
	HOURLAG   =     ! Hour of tracking start

	!=========Parameters Controlling Input/Output LOCATION============

	INPDIR   = INPDIR
	GEOAREA  = 
	OUTDIR   = OUTDIR
	INFOFILE = screen
	LAGINI   =    	! Input file with particle location

	!=========Parameters Controlling SIGMA/CARTESIAN==================

	F_DEPTH  =      ! Cartesian depth is kept constant if T.
	P_SIGMA  =      ! Input particle depth in sigma if T.
	OUT_SIGMA  =    ! Output particle depth in sigma if T.

	!=========Parameters Controlling Random Walk======================

	IRW   =    		! IRW (0-w/o rw; 1-hor rw; 2-vert rw; 3:hor+vert rw)
	DHOR  =  		! DHOR (horizontal diff coeff m^2/s, 
							miller 10^6m^2/day~11.57m^2/s)
	DTRW  =   		! time step (s) for RW (from the visser's criterion).
							mod(DTI/DTRW) should be 0

	!=========Parameters Controlling Spherical/Cartesian Coordinates==
	CART_SHP    =               ! Cartesian coordinates  if T
	PROJECTION_REFERENCE  = 'proj=tmerc +datum=NAD83 +lon_0=-70d10 lat_0=42d50 
							k=.9999666666666667 x_0=900000 y_0=0'    
							!change it in offlag.f90 to fit your domain

--------------------------------------------------------------------------------------
The detailed application process can refer to the example of green tides simulation in 
the Yellow Sea of China, in 2014/2015.

======================================================================================

if you want to change the settings of FMGDM, like the growth settings of Ecological 
module and tracking settings of Drift module, please try to read the source code,
offlag.f90